{
	saved_firstTime [1]

	Init[()
	{
		if(saved_firstTime = 1)
		{
			saved_firstTime = 0;
			SetNationality(1);
			TakeGun();
		}
	}]

	ReachedDestination[ (dest)
	{
		if( dest=5 ){ TakeGun(); }
	}]

	PathNodeReached[ (id, nodeId)
	{
		if( id=12 )
		{
			if( nodeId=4 )
			{
				TakeGun();
			}
		}
		if( id=13)
		{
			if( nodeId=4 )
			{
				TakeGun();
			}
		}
		if( id=14 )
		{
			if( nodeId=2 )
			{
				TakeGun();
			}
		}
	}]

	TakeGun[ ()
	{
		PlayAnimation(26);
		if( GetID() = "GRGunr0" ) {SetState_MG42( Level.GetEntity("GRMG420"));}
		if( GetID() = "GRGunr1" ) {SetState_MG42( Level.GetEntity("GRMG421"));}
		if( GetID() = "GRGunr2" ) {SetState_MG42( Level.GetEntity("GRMG422"));}
	}]

	OnDecay[ ()
	{
		if( GetID()="GRGunr1" )
		{
			Respawn(1);
			return;
		}

		if( Level.saved_GunrRespawn = 1 )
		{
			if( GetID()="GRGunr0" )
			{
				Respawn(0);
				return;
			}
			if( GetID()="GRGunr2" )
			{
				Respawn(2);
				return;
			}
		}
	}]

	Respawn[ (where)
	{
		SetDead( false );
		SetRunning();
		PlayAnimation(1);
		switch( where )
		{
			case 0
			{
				SetPosition(1002,28864,125);
				FollowPath("GunrPath0");
			}
			case 1
			{
				SetPosition(8153,31065,893);
				FollowPath("GunrPath1");
			}
			case 2
			{
				SetPosition(16870,28057,221);
				FollowPath("GunrPath2");
			}
		}
	}]
}